org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess.AtomicEventPatternElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess.AtomicEventPatternElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    VeplGrammarAccess

      public class VeplGrammarAccess.AtomicEventPatternElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomicEventPatternElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Keyword` | `getAtomicEventKeyword_0()`
    `org.eclipse.xtext.Assignment` | `getCheckExpressionAssignment_4_1_1()`
    `org.eclipse.xtext.RuleCall` | `getCheckExpressionXBlockExpressionParserRuleCall_4_1_1_0()`
    `org.eclipse.xtext.Keyword` | `getCheckKeyword_4_1_0()`
    `org.eclipse.xtext.Group` | `getGroup_2()`
    `org.eclipse.xtext.Group` | `getGroup_3()`
    `org.eclipse.xtext.Group` | `getGroup_4_1()`
    `org.eclipse.xtext.Group` | `getGroup_4()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getLeftCurlyBracketKeyword_4_0()`
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_2_0()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_1_0()`
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_2_1()`
    `org.eclipse.xtext.RuleCall` | `getParametersTypedParameterListParserRuleCall_2_1_0()`
    `org.eclipse.xtext.Keyword` | `getRightCurlyBracketKeyword_4_2()`
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_2_2()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getTraitsAssignment_3_1()`
    `org.eclipse.xtext.RuleCall` | `getTraitsTraitListParserRuleCall_3_1_0()`
    `org.eclipse.xtext.Keyword` | `getWithKeyword_3_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomicEventPatternElements

          public AtomicEventPatternElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getAtomicEventKeyword_0

          public org.eclipse.xtext.Keyword getAtomicEventKeyword_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameIDTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_1_0()

    - #### getGroup_2

          public org.eclipse.xtext.Group getGroup_2()

    - #### getLeftParenthesisKeyword_2_0

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_2_0()

    - #### getParametersAssignment_2_1

          public org.eclipse.xtext.Assignment getParametersAssignment_2_1()

    - #### getParametersTypedParameterListParserRuleCall_2_1_0

          public org.eclipse.xtext.RuleCall getParametersTypedParameterListParserRuleCall_2_1_0()

    - #### getRightParenthesisKeyword_2_2

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_2_2()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getWithKeyword_3_0

          public org.eclipse.xtext.Keyword getWithKeyword_3_0()

    - #### getTraitsAssignment_3_1

          public org.eclipse.xtext.Assignment getTraitsAssignment_3_1()

    - #### getTraitsTraitListParserRuleCall_3_1_0

          public org.eclipse.xtext.RuleCall getTraitsTraitListParserRuleCall_3_1_0()

    - #### getGroup_4

          public org.eclipse.xtext.Group getGroup_4()

    - #### getLeftCurlyBracketKeyword_4_0

          public org.eclipse.xtext.Keyword getLeftCurlyBracketKeyword_4_0()

    - #### getGroup_4_1

          public org.eclipse.xtext.Group getGroup_4_1()

    - #### getCheckKeyword_4_1_0

          public org.eclipse.xtext.Keyword getCheckKeyword_4_1_0()

    - #### getCheckExpressionAssignment_4_1_1

          public org.eclipse.xtext.Assignment getCheckExpressionAssignment_4_1_1()

    - #### getCheckExpressionXBlockExpressionParserRuleCall_4_1_1_0

          public org.eclipse.xtext.RuleCall getCheckExpressionXBlockExpressionParserRuleCall_4_1_1_0()

    - #### getRightCurlyBracketKeyword_4_2

          public org.eclipse.xtext.Keyword getRightCurlyBracketKeyword_4_2()